{
    "objects": [
        {
            "attributes": {
                "description": "Overview of services on an individual host.",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"useMargins\": true}",
                "panelsJSON": "[{\"gridData\": {\"x\": 0, \"i\": \"023b7623-9610-47ee-a10c-64ee8d2ccfa1\", \"w\": 14, \"y\": 0, \"h\": 11}, \"panelRefName\": \"panel_0\", \"panelIndex\": \"023b7623-9610-47ee-a10c-64ee8d2ccfa1\", \"embeddableConfig\": {\"title\": \"Running Services\"}, \"version\": \"7.4.0\", \"title\": \"Running Services\"}, {\"gridData\": {\"x\": 14, \"i\": \"40ebab84-f48f-4060-a7af-3ffdf833ad3a\", \"w\": 12, \"y\": 0, \"h\": 11}, \"panelRefName\": \"panel_1\", \"panelIndex\": \"40ebab84-f48f-4060-a7af-3ffdf833ad3a\", \"embeddableConfig\": {\"title\": \"Service States\"}, \"version\": \"7.4.0\", \"title\": \"Service States\"}, {\"gridData\": {\"x\": 26, \"i\": \"0ad1caa8-2a3f-4429-9631-42d1c57a9e64\", \"w\": 12, \"y\": 0, \"h\": 11}, \"panelRefName\": \"panel_2\", \"panelIndex\": \"0ad1caa8-2a3f-4429-9631-42d1c57a9e64\", \"embeddableConfig\": {\"title\": \"Service Sub-State\"}, \"version\": \"7.4.0\", \"title\": \"Service Sub-State\"}, {\"gridData\": {\"x\": 38, \"i\": \"9e37921b-da6f-464d-9683-5c9bd550640b\", \"w\": 10, \"y\": 0, \"h\": 11}, \"panelRefName\": \"panel_3\", \"panelIndex\": \"9e37921b-da6f-464d-9683-5c9bd550640b\", \"embeddableConfig\": {\"title\": \"Return Codes Of Exited Services\"}, \"version\": \"7.4.0\", \"title\": \"Return Codes Of Exited Services\"}, {\"gridData\": {\"x\": 0, \"i\": \"e3ec1fe3-a03a-466e-8bc2-69136e3e6302\", \"w\": 24, \"y\": 11, \"h\": 11}, \"panelRefName\": \"panel_4\", \"panelIndex\": \"e3ec1fe3-a03a-466e-8bc2-69136e3e6302\", \"embeddableConfig\": {\"title\": \"Top Services By Memory Usage\"}, \"version\": \"7.4.0\", \"title\": \"Top Services By Memory Usage\"}, {\"gridData\": {\"x\": 24, \"i\": \"cc928f52-22c9-402d-a7a1-4f32720a4290\", \"w\": 24, \"y\": 11, \"h\": 11}, \"panelRefName\": \"panel_5\", \"panelIndex\": \"cc928f52-22c9-402d-a7a1-4f32720a4290\", \"embeddableConfig\": {\"title\": \"Top Services By Task Count\"}, \"version\": \"7.4.0\", \"title\": \"Top Services By Task Count\"}, {\"gridData\": {\"x\": 0, \"i\": \"c83f16cd-286f-411b-bae9-bade176a8db2\", \"w\": 48, \"y\": 22, \"h\": 14}, \"panelRefName\": \"panel_6\", \"panelIndex\": \"c83f16cd-286f-411b-bae9-bade176a8db2\", \"embeddableConfig\": {\"title\": \"Service Memory Use Over Time\"}, \"version\": \"7.4.0\", \"title\": \"Service Memory Use Over Time\"}]",
                "timeRestore": false,
                "title": "[Metricbeat System] Host Services Overview",
                "version": 1
            },
            "id": "c431f410-f9ac-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "dashboard": "7.3.0"
            },
            "references": [
                {
                    "id": "a30871f0-f98f-11e9-90e8-1fb18e796788",
                    "name": "panel_0",
                    "type": "visualization"
                },
                {
                    "id": "bb3a8720-f991-11e9-90e8-1fb18e796788",
                    "name": "panel_1",
                    "type": "visualization"
                },
                {
                    "id": "e6e639e0-f992-11e9-90e8-1fb18e796788",
                    "name": "panel_2",
                    "type": "visualization"
                },
                {
                    "id": "9c69cad0-f9b0-11e9-90e8-1fb18e796788",
                    "name": "panel_3",
                    "type": "visualization"
                },
                {
                    "id": "8c071e20-f999-11e9-90e8-1fb18e796788",
                    "name": "panel_4",
                    "type": "visualization"
                },
                {
                    "id": "4b254630-f998-11e9-90e8-1fb18e796788",
                    "name": "panel_5",
                    "type": "visualization"
                },
                {
                    "id": "d3f51850-f9b6-11e9-90e8-1fb18e796788",
                    "name": "panel_6",
                    "type": "visualization"
                }
            ],
            "type": "dashboard",
            "updated_at": "2019-10-31T14:21:04.680Z",
            "version": "WzE0NjksMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": [], \"query\": {\"query\": \"\", \"language\": \"kuery\"}}"
                },
                "title": "Running Services [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"system.service.name\", \"customLabel\": \"Running Services [Metricbeat Services]\"}, \"id\": \"1\", \"type\": \"cardinality\"}], \"title\": \"Running Services [Metricbeat System]\", \"params\": {\"metric\": {\"percentageMode\": false, \"labels\": {\"show\": true}, \"colorsRange\": [{\"to\": 10000, \"type\": \"range\", \"from\": 0}], \"style\": {\"labelColor\": false, \"subText\": \"\", \"bgFill\": \"#000\", \"bgColor\": false, \"fontSize\": 60}, \"metricColorMode\": \"None\", \"colorSchema\": \"Green to Red\", \"useRanges\": false, \"invertColors\": false}, \"dimensions\": {\"metrics\": [{\"accessor\": 0, \"format\": {\"id\": \"number\", \"params\": {}}, \"type\": \"vis_dimension\"}]}, \"type\": \"metric\", \"addTooltip\": true, \"addLegend\": false}, \"type\": \"metric\"}"
            },
            "id": "a30871f0-f98f-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-31T13:35:51.219Z",
            "version": "WzE0NTAsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": [], \"query\": {\"query\": \"\", \"language\": \"kuery\"}}"
                },
                "title": "Service States [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"customLabel\": \"Service States [Metricbeat Services]\"}, \"id\": \"1\", \"type\": \"count\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 5, \"otherBucket\": false, \"orderBy\": \"1\", \"order\": \"desc\", \"field\": \"system.service.state\"}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"Service States [Metricbeat System]\", \"params\": {\"labels\": {\"last_level\": true, \"show\": false, \"truncate\": 100, \"values\": true}, \"type\": \"pie\", \"addTooltip\": true, \"legendPosition\": \"right\", \"dimensions\": {\"metric\": {\"aggType\": \"count\", \"accessor\": 1, \"params\": {}, \"format\": {\"id\": \"number\"}}, \"buckets\": [{\"aggType\": \"terms\", \"accessor\": 0, \"params\": {}, \"format\": {\"id\": \"terms\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"id\": \"string\"}}}]}, \"isDonut\": true, \"addLegend\": true}, \"type\": \"pie\"}"
            },
            "id": "bb3a8720-f991-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-31T13:38:51.526Z",
            "version": "WzE0NTIsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": [], \"query\": {\"query\": \"\", \"language\": \"kuery\"}}"
                },
                "title": "Service Sub-State [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"customLabel\": \"Service Sub-State [Metricbeat Services]\"}, \"id\": \"1\", \"type\": \"count\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 5, \"otherBucket\": false, \"orderBy\": \"1\", \"order\": \"desc\", \"field\": \"system.service.sub_state\"}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"Service Sub-State [Metricbeat System]\", \"params\": {\"labels\": {\"last_level\": true, \"show\": false, \"truncate\": 100, \"values\": true}, \"type\": \"pie\", \"addTooltip\": true, \"legendPosition\": \"right\", \"dimensions\": {\"metric\": {\"aggType\": \"count\", \"accessor\": 1, \"params\": {}, \"format\": {\"id\": \"number\"}}, \"buckets\": [{\"aggType\": \"terms\", \"accessor\": 0, \"params\": {}, \"format\": {\"id\": \"terms\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"id\": \"string\"}}}]}, \"isDonut\": true, \"addLegend\": true}, \"type\": \"pie\"}"
            },
            "id": "e6e639e0-f992-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-31T13:40:09.336Z",
            "version": "WzE0NTQsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": [{\"query\": {\"match\": {\"metricset.name\": {\"query\": \"service\", \"type\": \"phrase\"}}}, \"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": false, \"disabled\": false, \"key\": \"metricset.name\", \"params\": {\"query\": \"service\"}, \"type\": \"phrase\", \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index\", \"value\": \"service\", \"alias\": null}}], \"query\": {\"query\": \"\", \"language\": \"kuery\"}}"
                },
                "title": "Return Codes Of Exited Services [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"customLabel\": \"Return Codes Of Exited Services [Metricbeat Services]\"}, \"id\": \"1\", \"type\": \"count\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 5, \"otherBucket\": false, \"orderBy\": \"1\", \"order\": \"desc\", \"field\": \"process.exit_code\"}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"Return Codes Of Exited Services [Metricbeat System]\", \"params\": {\"labels\": {\"last_level\": true, \"show\": false, \"truncate\": 100, \"values\": true}, \"type\": \"pie\", \"addTooltip\": true, \"legendPosition\": \"right\", \"dimensions\": {\"metric\": {\"aggType\": \"count\", \"accessor\": 1, \"params\": {}, \"format\": {\"id\": \"number\"}}, \"buckets\": [{\"aggType\": \"terms\", \"accessor\": 0, \"params\": {}, \"format\": {\"id\": \"terms\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"id\": \"number\"}}}]}, \"isDonut\": true, \"addLegend\": true}, \"type\": \"pie\"}"
            },
            "id": "9c69cad0-f9b0-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                },
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-31T14:03:44.126Z",
            "version": "WzE0NjEsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Top Services By Memory Usage [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Top Services By Memory Usage [Metricbeat System]\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"series\": [{\"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"terms_field\": \"system.service.name\", \"color\": \"#68BC00\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"system.service.resources.memory.usage.bytes\", \"type\": \"avg\"}], \"formatter\": \"bytes\", \"split_mode\": \"terms\", \"fill\": 0.5, \"line_width\": 1, \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"\", \"isModelInvalid\": false, \"axis_scale\": \"normal\", \"type\": \"top_n\", \"bar_color_rules\": [{\"id\": \"5af08c50-f998-11e9-ac67-272468589910\"}]}, \"type\": \"metrics\"}"
            },
            "id": "8c071e20-f999-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-10-31T14:11:44.048Z",
            "version": "WzE0NjMsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Top Services By Task Count [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Top Services By Task Count [Metricbeat System]\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"series\": [{\"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"terms_field\": \"system.service.name\", \"color\": \"#68BC00\", \"separate_axis\": 0, \"axis_position\": \"right\", \"label\": \"\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"system.service.resources.tasks.count\", \"type\": \"avg\"}], \"formatter\": \"number\", \"split_mode\": \"terms\", \"fill\": 0.5, \"line_width\": 1, \"hidden\": false, \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"point_size\": 1, \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"\", \"isModelInvalid\": false, \"axis_scale\": \"normal\", \"type\": \"top_n\", \"bar_color_rules\": [{\"id\": \"3aeae000-f997-11e9-ac67-272468589910\"}]}, \"type\": \"metrics\"}"
            },
            "id": "4b254630-f998-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-10-31T14:14:42.665Z",
            "version": "WzE0NjUsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Service Memory Use Over Time [Metricbeat System]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Service Memory Use Over Time [Metricbeat System]\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"series\": [{\"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"terms_field\": \"system.service.name\", \"color\": \"rgba(244,78,59,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"system.service.resources.memory.usage.bytes\", \"type\": \"avg\"}], \"terms_size\": \"5\", \"formatter\": \"bytes\", \"split_color_mode\": \"rainbow\", \"fill\": \"0\", \"line_width\": 1, \"label\": \"\", \"split_mode\": \"terms\", \"type\": \"timeseries\", \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"\", \"isModelInvalid\": false, \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "d3f51850-f9b6-11e9-90e8-1fb18e796788",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-10-31T14:18:54.802Z",
            "version": "WzE0NjcsMV0="
        }
    ],
    "version": "7.4.0"
}